%define __libtoolize /bin/true
%define name    kaffeine
%define version 0.8.2
%define release beta1.1.2006mcnl
%define summary A mediaplayer for KDE
%define section Multimedia/Video
%define title   Kaffeine

%define libname_orig lib%{name}
%define libname %mklibname %{name} 0

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 

Vendor:         Mandrivaclub.nl
Packager:       Rutger Kroon <ogli@mandrivaclub.nl>

URL:            http://kaffeine.sourceforge.net/
License:        GPL
Group:          Video


Source0:        %{name}-0.8.2-beta1.tar.bz2

BuildArch: 	x86_64
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

Requires:	xine-plugins >= 1.0.2
Requires:       xine-arts >= 1.0.2

BuildRequires:  xine-lib >= 1.0.2
BuildRequires:  kdelibs-devel >= 3.2
BuildRequires:  lame-devel
BuildRequires:  lib64gstreamer0.8-devel
BuildRequires:  lib64cdda0-devel

#Conflicts :

%description
Kaffeine is a full featured Multimedia-Player for KDE. 
By default it uses xine as backend.

%package -n %{libname}
Summary:	%name library
Group:		Graphical desktop/KDE
Provides:	%{libname_orig} = %{version}-%{release}
Requires:	%name = %version-%release

%description -n %{libname}
Library for %name

%package -n %{libname}-devel
Summary:	Headers of %name for development
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers of %{name} for development.


%prep
rm -rf %{buildroot}

%setup -q -n %{name}-0.8.2-beta1

%build 
export QTLIB="%{_prefix}/lib/qt3/%{_lib}"
export CFLAGS=${RPM_OPT_FLAGS}
export CXXFLAGS=${RPM_OPT_FLAGS}

%configure	--disable-rpath \
		--enable-debug=yes \
		--without-dvb

%make

%install

%makeinstall

# Remove invalid-lc-messages in rpmlint
rm -rf %{buildroot}%{_datadir}/locale/xx/
rm -rf %{buildroot}%{_datadir}/locale/pa/

#gw this conflicts with kmplayer:
rm -f %buildroot%_datadir/mimelnk/application/x-mplayer2.desktop

#icons
%define  nameicon kaffeine/images/kaffeine128x128.png
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="%_bindir/%name" \
title="%title" \
longtitle="%summary" \
needs="X11" \
section="%section" \
icon="%name.png" \
EOF


%post
%update_menus

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README COPYING AUTHORS TODO INSTALL

%{_bindir}/%name

%doc %_datadir/doc/HTML/en/kaffeine/common
%doc %_datadir/doc/HTML/en/kaffeine/*.png
%doc %_datadir/doc/HTML/en/kaffeine/*.jpg
%doc %_datadir/doc/HTML/en/kaffeine/*.bz2
%doc %_datadir/doc/HTML/en/kaffeine/*.docbook

%{_datadir}/applications/kde/%name.desktop
%{_datadir}/apps/gstreamerpart/gstreamer_part.rc
%{_datadir}/apps/%{name}/*
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_datadir}/apps/profiles/*.xml

%{_datadir}/locale/bg/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/bn/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/br/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/ca/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/cs/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/da/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/de/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/el/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/es/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/fi/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/fr/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/ga/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/gl/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/he/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/hu/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/it/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/ja/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/lt/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/mk/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/nb/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/nl/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/nn/LC_MESSAGES/kaffeine.mo
#%{_datadir}/locale/pa/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/pl/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/pt/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/pt_BR/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/ru/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/sr/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/sr@Latn/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/sv/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/tr/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/uk/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/uz/LC_MESSAGES/kaffeine.mo
#%{_datadir}/locale/xx/LC_MESSAGES/kaffeine.mo
%{_datadir}/locale/zh_CN/LC_MESSAGES/kaffeine.mo

%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/services/*.desktop
%{_datadir}/servicetypes/*

%{_menudir}/%name

%{_iconsdir}/*/*/*/*.png

%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_miconsdir}/%name.png

%{_libdir}/kde3/*

#%{_defaultdocdir}/HTML/en

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_includedir}/%{name}/*.h
%{_includedir}/*.h

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib*.so.0
%{_libdir}/lib*.so.0.0.1


%changelog 
* Tue May 30 2006 Rutger Kroon <ogli@mandrivaclub.nl> 0.8.2-beta1.1.2006mcnl
- New build for Mandrivaclub.nl x86_64
